# Class OjDataGridBase

This is the base class for oj-data-grid WebElement, and is generated from the component's metadata. Do not modify these contents since they'll be replaced during the next generation. Put overrides into the WebElements's subclass, OjDataGrid.ts.

#### Hierarchy

- OjWebElement
  - OjDataGridBase
    - OjDataGrid

#####
Index

### Constructors

constructor

### Methods

changeCurrentCell
changeEditCell
changeEditMode
changeFrozenColumnCount
changeFrozenRowCount
changeHiddenColumns
changeHiddenRows
changeScrollPosition
changeSelection
clear
click
findElement
findElements
getAttribute
getBandingInterval
getCell
getCssValue
getCurrentCell
getDataTransferOptions
getDnd
getEditCell
getEditMode
getFrozenColumnCount
getFrozenRowCount
getGridlines
getHeader
getHiddenColumns
getHiddenRows
getLocation
getProperty
getRect
getScrollPolicy
getScrollPolicyOptions
getScrollPosition
getScrollToKey
getSelection
getSelectionMode
getSize
getText
getTranslations
hasSize
hasVisibility
isDisplayed
isEnabled
isSelected
sendKeys
setProperty
submit
takeScreenshot
whenBusyContextReady
whenReady

## Constructors

### constructor

- new OjDataGridBase(el, locators): OjDataGridBase

- Constructor. Pass an instance of WebDriver's WebElement that represents the DOM node on which we"ll perform operations.

  #### Parameters

  - ##### el: WebElement

    The basic WebElement with which this WebElement will work.

  - ##### locators: ElementLocators

  #### Returns OjDataGridBase

  Inherited from OjWebElement.constructor

## Methods

### changeCurrentCell

- changeCurrentCell(currentCell): Promise<void>

- Sets the value of `currentCell` property. Specifies the grid's currently focused cell.

  #### Parameters

  - ##### currentCell: object

    The value to set for `currentCell`

  #### Returns Promise<void>

### changeEditCell

- changeEditCell(editCell): Promise<void>

- Sets the value of `editCell` property. Specifies the cell currently being edited.

  #### Parameters

  - ##### editCell: object

    The value to set for `editCell`

  #### Returns Promise<void>

### changeEditMode

- changeEditMode(editMode): Promise<void>

- Sets the value of `editMode` property. Specifies if the grid is read-only or editable.

  #### Parameters

  - ##### editMode: string

    The value to set for `editMode`

  #### Returns Promise<void>

### changeFrozenColumnCount

- changeFrozenColumnCount(frozenColumnCount): Promise<void>

- Sets the value of `frozenColumnCount` property. Specifies count of columns to be frozen.

  #### Parameters

  - ##### frozenColumnCount: number

    The value to set for `frozenColumnCount`

  #### Returns Promise<void>

### changeFrozenRowCount

- changeFrozenRowCount(frozenRowCount): Promise<void>

- Sets the value of `frozenRowCount` property. Specifies count of rows to be frozen.

  #### Parameters

  - ##### frozenRowCount: number

    The value to set for `frozenRowCount`

  #### Returns Promise<void>

### changeHiddenColumns

- changeHiddenColumns(hiddenColumns): Promise<void>

- Sets the value of `hiddenColumns` property. Use to hide columns of grid on initial render.

  #### Parameters

  - ##### hiddenColumns: object

    The value to set for `hiddenColumns`

  #### Returns Promise<void>

### changeHiddenRows

- changeHiddenRows(hiddenRows): Promise<void>

- Sets the value of `hiddenRows` property. Use to hide rows of grid on initial render.

  #### Parameters

  - ##### hiddenRows: object

    The value to set for `hiddenRows`

  #### Returns Promise<void>

### changeScrollPosition

- changeScrollPosition(scrollPosition): Promise<void>

- Sets the value of `scrollPosition` property. Specifies the current scroll position of the data grid. See the Help documentation for more information.

  #### Parameters

  - ##### scrollPosition: ScrollPosition

    The value to set for `scrollPosition`

  #### Returns Promise<void>

### changeSelection

- changeSelection(selection): Promise<void>

- Sets the value of `selection` property. Specifies the grid's current selection.

  #### Parameters

  - ##### selection: object[]

    The value to set for `selection`

  #### Returns Promise<void>

### clear

- clear(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjWebElement.clear

### click

- click(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjWebElement.click

### findElement

- findElement(locator): WebElementPromise

- #### Parameters

  - ##### locator: Locator

  #### Returns WebElementPromise

  #### Inherit Doc

  Inherited from OjWebElement.findElement

### findElements

- findElements(locator): Promise<WebElement[]>

- #### Parameters

  - ##### locator: Locator

  #### Returns Promise<WebElement[]>

  #### Inherit Doc

  Inherited from OjWebElement.findElements

### getAttribute

- getAttribute(attributeName): Promise<string>

- #### Parameters

  - ##### attributeName: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjWebElement.getAttribute

### getBandingInterval

- getBandingInterval(): Promise<BandingInterval>

- Gets the value of `bandingInterval` property. Specifies the data body row and column banding intervals.

  #### Returns Promise<BandingInterval>

  The value of `bandingInterval` property.

### getCell

- getCell(): Promise<Cell>

- Gets the value of `cell` property. Specifies attributes on the cells.

  #### Returns Promise<Cell>

  The value of `cell` property.

### getCssValue

- getCssValue(cssStyleProperty): Promise<string>

- #### Parameters

  - ##### cssStyleProperty: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjWebElement.getCssValue

### getCurrentCell

- getCurrentCell(): Promise<object>

- Gets the value of `currentCell` property. Specifies the grid's currently focused cell.

  #### Returns Promise<object>

  The value of `currentCell` property.

### getDataTransferOptions

- getDataTransferOptions(): Promise<DataTransferOptions>

- Gets the value of `dataTransferOptions` property. Specifies data transfer features.

  #### Returns Promise<DataTransferOptions>

  The value of `dataTransferOptions` property.

### getDnd

- getDnd(): Promise<Dnd>

- Gets the value of `dnd` property. Specifies drag and drop features.

  #### Returns Promise<Dnd>

  The value of `dnd` property.

### getEditCell

- getEditCell(): Promise<object>

- Gets the value of `editCell` property. Specifies the cell currently being edited.

  #### Returns Promise<object>

  The value of `editCell` property.

### getEditMode

- getEditMode(): Promise<string>

- Gets the value of `editMode` property. Specifies if the grid is read-only or editable.

  #### Returns Promise<string>

  The value of `editMode` property.

### getFrozenColumnCount

- getFrozenColumnCount(): Promise<number>

- Gets the value of `frozenColumnCount` property. Specifies count of columns to be frozen.

  #### Returns Promise<number>

  The value of `frozenColumnCount` property.

### getFrozenRowCount

- getFrozenRowCount(): Promise<number>

- Gets the value of `frozenRowCount` property. Specifies count of rows to be frozen.

  #### Returns Promise<number>

  The value of `frozenRowCount` property.

### getGridlines

- getGridlines(): Promise<Gridlines>

- Gets the value of `gridlines` property. Specifies the visibility of the grid body vertical and horizontal gridlines.

  #### Returns Promise<Gridlines>

  The value of `gridlines` property.

### getHeader

- getHeader(): Promise<Header>

- Gets the value of `header` property. Specifies attributes on the headers.

  #### Returns Promise<Header>

  The value of `header` property.

### getHiddenColumns

- getHiddenColumns(): Promise<object>

- Gets the value of `hiddenColumns` property. Use to hide columns of grid on initial render.

  #### Returns Promise<object>

  The value of `hiddenColumns` property.

### getHiddenRows

- getHiddenRows(): Promise<object>

- Gets the value of `hiddenRows` property. Use to hide rows of grid on initial render.

  #### Returns Promise<object>

  The value of `hiddenRows` property.

### getLocation

- getLocation(): Promise<ILocation>

- #### Returns Promise<ILocation>

  #### Inherit Doc

  Inherited from OjWebElement.getLocation

### getProperty

- getProperty<T>(propertyName): Promise<T>

- Get a named property value from this component. This function will wait for the application's busy context to complete before attempting to get the property value.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The name of the property

  #### Returns Promise<T>

  A Promise that yields a value for the named property.

  Inherited from OjWebElement.getProperty

### getRect

- getRect(): Promise<IRectangle>

- #### Returns Promise<IRectangle>

  #### Inherit Doc

  Inherited from OjWebElement.getRect

### getScrollPolicy

- getScrollPolicy(): Promise<null | string>

- Gets the value of `scrollPolicy` property. Specifies how data are fetched as user scrolls through the data grid.

  #### Returns Promise<null | string>

  The value of `scrollPolicy` property.

### getScrollPolicyOptions

- getScrollPolicyOptions(): Promise<null | ScrollPolicyOptions>

- Gets the value of `scrollPolicyOptions` property. Specifies fetch options for scrolling behaviors that trigger data fetches.

  #### Returns Promise<null | ScrollPolicyOptions>

  The value of `scrollPolicyOptions` property.

### getScrollPosition

- getScrollPosition(): Promise<ScrollPosition>

- Gets the value of `scrollPosition` property. Specifies the current scroll position of the data grid. See the Help documentation for more information.

  #### Returns Promise<ScrollPosition>

  The value of `scrollPosition` property.

### getScrollToKey

- getScrollToKey(): Promise<null | string>

- Gets the value of `scrollToKey` property. Specifies the behavior when DataGrid needs to scroll to a position based on a row/column key.

  #### Returns Promise<null | string>

  The value of `scrollToKey` property.

### getSelection

- getSelection(): Promise<object[]>

- Gets the value of `selection` property. Specifies the grid's current selection.

  #### Returns Promise<object[]>

  The value of `selection` property.

### getSelectionMode

- getSelectionMode(): Promise<SelectionMode>

- Gets the value of `selectionMode` property. Specifies the row and cell selection modes. See the Help documentation for more information.

  #### Returns Promise<SelectionMode>

  The value of `selectionMode` property.

### getSize

- getSize(): Promise<ISize>

- #### Returns Promise<ISize>

  #### Inherit Doc

  Inherited from OjWebElement.getSize

### getText

- getText(): Promise<string>

- #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjWebElement.getText

### getTranslations

- getTranslations(): Promise<null | Translations>

- Gets the value of `translations` property. A collection of translated resources from the translation bundle, or null if this component has no resources.

  #### Returns Promise<null | Translations>

  The value of `translations` property.

### `Protected` hasSize

- hasSize(): Condition<Promise<boolean>>

- Create a wait condition that is satisfied when the element's DOM has a non-zero size.

  #### Returns Condition<Promise<boolean>>

  The Condition to be used with driver.wait() that's satisfied when the element's DOM has a non-zero size.

  #### Deprecated

  Since 11.0.0. Call the appropriate WebElement method to test the size of the element.

  Inherited from OjWebElement.hasSize

### `Protected` hasVisibility

- hasVisibility(): Condition<Promise<boolean>>

- Create a wait condition that is satisfid when the element is visible. The condition is satisfied when the element is displayed, as reported by #isDisplayed, and is scrolled into view. This is method is deprecated. Use WebElement.isDisplayed instead to test the display of the element, and scroll it into view if necessary.

  #### Returns Condition<Promise<boolean>>

  #### Deprecated

  Inherited from OjWebElement.hasVisibility

### isDisplayed

- isDisplayed(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjWebElement.isDisplayed

### isEnabled

- isEnabled(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjWebElement.isEnabled

### isSelected

- isSelected(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjWebElement.isSelected

### sendKeys

- sendKeys(...varArgs): Promise<void>

- #### Parameters

  - ##### `Rest` ...varArgs: (string | number | Promise<string | number>)[]

  #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjWebElement.sendKeys

### `Protected` setProperty

- setProperty<T>(propertyName, value): Promise<void>

- Set a property value on the remote element. This function first waits for the BusyContext to clear before setting the property, then after setting, waits again to ensure that no additional busy states were created due to the property setting.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The property name to set

  - ##### value: T

    The value to set for the property

  #### Returns Promise<void>

  A Promise which resolves when the remote property has been set to the value. Any value returned from the call to set the remote property is returned in the Promise.

  Inherited from OjWebElement.setProperty

### submit

- submit(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjWebElement.submit

### takeScreenshot

- takeScreenshot(optScroll?): Promise<string>

- #### Parameters

  - ##### `Optional` optScroll: boolean

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjWebElement.takeScreenshot

### whenBusyContextReady

- whenBusyContextReady(): Promise<void>

- Returns a Promise that is resolved when the application's busy state reports ready. This method checks only that the application's busy context is ready, and not that the DOM element is actually displayed or has a physical size, such as is the case with #whenReady. Operations which are read-only in nature should call this method prior to execution.

  #### Returns Promise<void>

  A Promise which is resolved when the page's busy state is ready.

  Inherited from OjWebElement.whenBusyContextReady

### whenReady

- whenReady(): Promise<void>

- Returns a Promise that is resolved when the element is ready for interaction--it is visible, has a size, and the app's busy context is ready. Operations on the DOM which rely on its physical location and size to be in a "ready" state should use this command, such as clicking, sending keys, locating child elements, and so on.

  #### Returns Promise<void>

  A Promise that's resolved when all conditions are met.

  Inherited from OjWebElement.whenReady

Generated using TypeDoc